package com.taauav.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.taauav.common.domain.Entity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 水质数据实体类
 *
 * @author daixiantong
 * @date 2020-05-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tauv_water_data")
public class TauvWaterData extends Entity {

    @ApiModelProperty(value = "巡检河道id")
    private Integer inspectDriverId;

    @ApiModelProperty(value = "化学需氧量")
    private String waterCod;

    @ApiModelProperty(value = "氨氮")
    private String waterNh3n;

    @ApiModelProperty(value = "总磷")
    private String waterTp;

    @ApiModelProperty(value = "总氮")
    private String waterTn;

    @ApiModelProperty(value = "溶解氧")
    private String waterDo;

    @ApiModelProperty(value = "浊度")
    private String waterTub;

    @ApiModelProperty(value = "化学需氧量多光谱图")
    private String waterCodPic;

    @ApiModelProperty(value = "氨氮多光谱图")
    private String waterNh3nPic;

    @ApiModelProperty(value = "总磷多光谱图")
    private String waterTpPic;

    @ApiModelProperty(value = "总氮多光谱图")
    private String waterTnPic;

    @ApiModelProperty(value = "溶解氧多光谱图")
    private String waterDoPic;

    @ApiModelProperty(value = "浊度多光谱图")
    private String waterTubPic;
}
