package com.taauav.admin.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.taauav.admin.entity.SysCity;
import com.taauav.admin.entity.TauvWaterData;
import com.taauav.admin.mapper.SysCityMapper;
import com.taauav.admin.mapper.TauvWaterDataMapper;
import com.taauav.admin.query.TauvWaterDataQuery;
import com.taauav.admin.service.ITauvWaterDataService;
import com.taauav.admin.vo.TauvWaterDataVo;
import com.taauav.common.bean.Response;
import com.taauav.common.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.util.List;

/**
 * 水质数据 服务类
 *
 * @author daixiantong
 * @date 2020-05-14
 */
@Service
public class TauvWaterDataServiceImpl extends BaseServiceImpl<TauvWaterDataMapper, TauvWaterData> implements ITauvWaterDataService {
    @Resource
    private Response response;
    @Autowired
    private SysCityMapper cityMapper;

    /**
     * 自定义分页
     * @param waterDataQuery
     * @return
     */
    @Override
    public Response selectPageList(TauvWaterDataQuery waterDataQuery) {
        IPage<TauvWaterData> page = new Page<>(waterDataQuery.getPage(), waterDataQuery.getPageSize());
        IPage<TauvWaterDataVo> list = baseMapper.selectPageList(page, waterDataQuery);
        if (list.getRecords().size() > 0) {
            for (TauvWaterDataVo data : list.getRecords()) {
                SysCity city = cityMapper.selectById(data.getDriverArea());
                data.setAreaName(city == null ? "" : city.getName());
            }
        }
        return response.success(list);
    }

    /**
     * 导入数据
     * @param file
     * @param id
     * @return
     */
    @Override
    public Response importData(MultipartFile file, Integer id) {
        return null;
    }
}
