package com.taauav.front.entity;

import java.math.BigInteger;
import java.time.LocalDateTime;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 外包人员表
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class UserAdmin extends Entity {

    private static final long serialVersionUID = 1L;

    /**
     * 姓名
     */
    private String realname;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 性别：1男 2女 3保密
     */
    private Integer gender;

    /**
     * 联系方式（手机号码）
     */
    private String mobile;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 河长等级：1一级 2二级 3三级
     */
    private Integer level;

    /**
     * 区划ID
     */
    private BigInteger driverArea;

    /**
     * 职务
     */
    private String duty;

    /**
     * 角色编号
     */
    private String authGroup;

    /**
     * Session标识
     */
    private String token;

    /**
     * 备注
     */
    private String note;

    /**
     * 最近登录时间
     */
    private Date lastTime;

    /**
     * 登录次数
     */
    private Integer loginNum;

    /**
     * 上次登录IP
     */
    private Long lastIp;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 角色描述
     */
    @TableField(exist = false)
    private String authGroupText;

    /**
     * 状态描述
     */
    @TableField(exist = false)
    private String statusText;


}
